import React, { CSSProperties, FC } from 'react';

export interface SimpleSmartBatteryIconnProps {
  width?: number;
  height?: number;
  batteryLevel?: number;
  style?: CSSProperties;
}

const SimpleSmartBatteryIcon: FC<SimpleSmartBatteryIconnProps> = ({
  width = 24,
  height = 24,
  batteryLevel = 100,
  style,
}) => {
  const bars = [
    <path d="M5.5 7H6.5V9H5.5V7Z" fill="currentColor" />,
    <path d="M7.5 7H8.5V9H7.5V7Z" fill="currentColor" />,
    <path d="M9.6001 7H10.6001V9H9.6001V7Z" fill="currentColor" />,
  ];
  return (
    <>
      <svg
        width={width}
        height={height}
        style={style}
        viewBox="0 0 16 16"
        fill="none"
        xmlns="http://www.w3.org/2000/svg"
      >
        <path
          fillRule="evenodd"
          clipRule="evenodd"
          d="M4.5 6.5H11.5V9.5H4.5V6.5ZM3.5 6.5C3.5 5.94772 3.94772 5.5 4.5 5.5H11.5C12.0523 5.5 12.5 5.94772 12.5 6.5V7C13.0523 7 13.5 7.44772 13.5 8C13.5 8.55229 13.0523 9 12.5 9V9.5C12.5 10.0523 12.0523 10.5 11.5 10.5H4.5C3.94772 10.5 3.5 10.0523 3.5 9.5V6.5Z"
          fill="currentColor"
        />

        {...bars.filter((bar, i) => i < (bars.length * batteryLevel) / 100)}
      </svg>
    </>
  );
};

export default SimpleSmartBatteryIcon;
