import React, { CSSProperties, FC } from 'react';

export interface SmartBatteryIconProps {
  width?: number;
  height?: number;
  batteryLevel?: number;
  style?: CSSProperties;
}

const SmartBatteryIcon: FC<SmartBatteryIconProps> = ({ width = 24, height = 24, batteryLevel = 100, style }) => {
  const bars = [
    <rect x="4" y="8.01172" width="1" height="7.97663" fill="currentColor" />,
    <rect x="5.84961" y="8.01172" width="1" height="7.97663" fill="currentColor" />,
    <rect x="7.69922" y="8.01172" width="1" height="7.97663" fill="currentColor" />,
    <rect x="9.54883" y="8.01172" width="1" height="7.97663" fill="currentColor" />,
    <rect x="11.3984" y="8.01172" width="1" height="7.97663" fill="currentColor" />,
    <rect x="13.248" y="8.01172" width="1" height="7.97663" fill="currentColor" />,
    <rect x="15.0977" y="8.01172" width="1" height="7.97663" fill="currentColor" />,
    <rect x="16.9473" y="8.01172" width="1" height="7.97663" fill="currentColor" />,
  ];
  return (
    <>
      <svg
        width={width}
        height={height}
        style={style}
        viewBox="0 0 24 24"
        fill="none"
        xmlns="http://www.w3.org/2000/svg"
      >
        <path
          fillRule="evenodd"
          clipRule="evenodd"
          d="M3 7H19V10V14V17H3V7ZM20 15V17C20 17.5523 19.5523 18 19 18H3C2.44772 18 2 17.5523 2 17V7C2 6.44772 2.44772 6 3 6H19C19.5523 6 20 6.44772 20 7V9H21C21.5523 9 22 9.44772 22 10V14C22 14.5523 21.5523 15 21 15H20ZM20 10V14H21V10H20Z"
          fill="currentColor"
        />
        {...bars.filter((bar, i) => i < (bars.length * batteryLevel) / 100)}
      </svg>
    </>
  );
};

export default SmartBatteryIcon;
